#!/bin/sh

timestamp=$(date +%Y%m%d%H%M%S)
logfile="logs/sgad_${timestamp}.log"

confgfile=${1}
if [ -z ${confgfile} ]; then
  echo "Using default file configuration" > ${logfile};
  confgfile=sgad.cfg
fi

if [ ! -z ${RUNTIME_DIR} ]; then
  echo "Using specified runtime root directory: ${RUNTIME_DIR}"
fi

eval $(luarocks path --bin)
sgad ${confgfile} 2>&1 | tee -a "${logfile}"
