
package = "sga-driver-posix"
version = "1.6.2-SNAPSHOT"

source = {
   -- url = "git://git.tecgraf.puc-rio.br/csbase-dev/sgarest-daemon.git",
   url = "file://.",
}

description = {
   summary = "POSIX driver for SGA daemon based on REST",
   detailed = [[
      A SGA daemon driver for running jobs locally on POSIX
      operating systems. Tested on Linux and Cygwin.
   ]],
}

dependencies = {
   "lua >= 5.2",
   "sga-daemon",
   "luaposix",
   "procdata",
   "safer",
   "lbase64"
}

build = {
   type = "builtin",
   modules = {
      ["sga.driver.posix"] = "sga/driver/posix.lua",
   },
}
