
package = "sga-exec"
version = "1.6.2-SNAPSHOT"

source = {
   -- url = "git://git.tecgraf.puc-rio.br/csbase-dev/sgarest-daemon.git",
   url = "file://.",
}

description = {
   summary = "SGA executor framework",
   detailed = [[
      An extensible library for abstracting local and remote
      execution of commands, to be used by SGA drivers.
   ]],
}

dependencies = {
   "lua >= 5.2",
   "sga-daemon",
   "lua-schema",
   "safer",
   "copas-async"
}

build = {
   type = "builtin",
   modules = {
      ["sga.exec"] = "sga/exec.lua",
      ["sga.exec.localhost"] = "sga/exec/localhost.lua",
      ["sga.exec.ssh"] = "sga/exec/ssh.lua",
   },
}
