
package = "sga-driver-pbs"
version = "1.6.2-SNAPSHOT"

source = {
   -- url = "git://git.tecgraf.puc-rio.br/csbase-dev/sgarest-daemon.git",
   url = "file://.",
}

description = {
   summary = "PBS driver for SGA daemon based on REST",
   detailed = [[
      A SGA daemon driver for running jobs on
      Torque PBS clusters.
   ]],
}

dependencies = {
   "lua >= 5.2",
   "sga-daemon",
   "sga-exec",
   "safer",
   "luaposix",
}

build = {
   type = "builtin",
   modules = {
      ["sga.driver.pbs"] = "sga/driver/pbs.lua",
   },
}
